<?php
/**
 * @subpackage	mod_livingstreets
 * @copyright	Copyright (C) 2012 Ben Tasker . All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');


//2.5 calories per situp
// Calculate savings
//$gas = (1.3176e+08*1.20095);
$cals = 2.5;
$qty = str_replace(",","",$workstanding->Calories);

$calc = number_format(($qty / $cals));


//$saving = round(($calc * $qty),3);
//$mpg = round(($workstanding->Miles / $saving),2);

$caltitle = "Equivalent of doing $calc well-formed sit-ups!";


// Distances

$miles = $workstanding->Miles;
$mile = 1609;
$marathon = 42194.988;

$equiv = ($mile/$marathon);
$walked = number_format(($equiv * $miles),3);

$miletotal = "Equivalent of $walked marathons";


// CO2
// 2.3035 kgs of CO2 per litre of petrol
$litres = ($workstanding->CO2  / 2.3035);
$gallons = ($litres / 4.545);
$mpg = number_format(($workstanding->Miles / $gallons),3);
$gallons = number_format($gallons,2);
$co2Title = "Burning $gallons UK Gallons of Petrol would release this amount of CO2 giving us an economy of $mpg MPG!";



?>
<!-- Living Streets Module -->
<div id="LivingStreetsResults" class="modLivingStreetsHolder">
<div id="LivingStreetsResultsInner" class="modLivingStreetsHolder">
<div id="LivingStreetsResultsInner2" class="modLivingStreetsHolder">
<h2 class="LSHead"><?php echo $params->get('WorkplaceDisplay'); ?></h2>
<?php if ($workstanding->rank):?>
<div class="Top20">Position <a href="http://www.livingstreets.org.uk/workplace/top-workplaces" target=_blank><?php echo $workstanding->rank; ?></a> overall</div>
<?php endif;?>

<div class="ResultsWrapper">
<div class="totalmiles" title="<?php echo $miletotal; ?>"><?php echo $workstanding->Miles;?> Miles Walked</div>
<div class="totalCals" title="<?php echo $caltitle; ?>"><?php echo $workstanding->Calories; ?> Calories Burnt</div>
<div class="totalCo2" title="<?php echo $co2Title; ?>"><?php echo $workstanding->CO2; ?> Kg of CO<sub>2</sub> saved</div>
</div>

<?php if ($params->get('DispProfileLink')): ?>

<div class="MyLSProfile"><a href="http://www.livingstreets.org.uk/workplace/<?php echo $params->get('workplace'); ?>" target=_blank>View our profile</a></div>

<?php endif; ?>


<?php if ($params->get('DispSignupLink')): ?>
<div class="JoinLS"><a href="http://www.livingstreets.org.uk/modal_forms/nojs/register" target=_blank>Join the challenge!</a></div>
<?php endif; ?>
</div>
</div>
</div>







<!-- Living Streets Module End -->